> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List all uploaded files for the team.

Supports pagination with limit and offset parameters.

Args:
    limit: Maximum number of files to return (default: 50, max: 100)
    offset: Number of files to skip (default: 0)



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/files
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/files:
    get:
      tags:
        - files
      summary: List Files
      description: |-
        List all uploaded files for the team.

        Supports pagination with limit and offset parameters.

        Args:
            limit: Maximum number of files to return (default: 50, max: 100)
            offset: Number of files to skip (default: 0)
      operationId: list_files_api_v1_files_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFilesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListFilesResponse:
      properties:
        files:
          items:
            $ref: '#/components/schemas/FileMetadataResponse'
          type: array
          title: Files
          description: List of uploaded files
        total:
          type: integer
          title: Total
          description: Total number of files
        limit:
          type: integer
          title: Limit
          description: Limit per page
        offset:
          type: integer
          title: Offset
          description: Current offset
      type: object
      required:
        - files
        - total
        - limit
        - offset
      title: ListFilesResponse
      description: Response with list of files.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileMetadataResponse:
      properties:
        file_id:
          type: integer
          title: File Id
          description: Unique file ID
        original_filename:
          type: string
          title: Original Filename
          description: Original filename
        content_type:
          type: string
          title: Content Type
          description: MIME type
        file_size:
          type: integer
          title: File Size
          description: File size in bytes
        upload_status:
          type: string
          title: Upload Status
          description: 'Upload status: pending, completed, or failed'
        created:
          type: string
          format: date-time
          title: Created
          description: Upload timestamp
        reference:
          type: string
          title: Reference
          description: File reference in datalab://file-{id} format
      type: object
      required:
        - file_id
        - original_filename
        - content_type
        - file_size
        - upload_status
        - created
        - reference
      title: FileMetadataResponse
      description: Response with file metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````